NAME

OpenAPI::Client::OpenAI::Path::evals-eval_id-runs-run_id-output_items-output_item_id - Documentation for the /evals/{eval_id}/runs/{run_id}/output_items/{output_item_id} path.

OPERATIONS

GET /evals/{eval_id}/runs/{run_id}/output_items/{output_item_id}

getEvalRunOutputItem

$client->get_eval_run_output_item({
    body => { ... },
});

Get an evaluation run output item by ID.

Path/query parameters

  • eval_id (in path, required, string) - The ID of the evaluation to retrieve runs for.

  • run_id (in path, required, string) - The ID of the run to retrieve.

  • output_item_id (in path, required, string) - The ID of the output item to retrieve.

Responses

200 - The evaluation run output item

Content-Type: application/json

Example:

"{\n  \"object\": \"eval.run.output_item\",\n  \"id\": \"outputitem_67abd55eb6548190bb580745d5644a33\",\n  \"run_id\": \"evalrun_67abd54d60ec8190832b46859da808f7\",\n  \"eval_id\": \"eval_67abd54d9b0081909a86353f6fb9317a\",\n  \"created_at\": 1739314509,\n  \"status\": \"pass\",\n  \"datasource_item_id\": 137,\n  \"datasource_item\": {\n      \"teacher\": \"To grade essays, I only check for style, content, and grammar.\",\n      \"student\": \"I am a student who is trying to write the best essay.\"\n  },\n  \"results\": [\n    {\n      \"name\": \"String Check Grader\",\n      \"type\": \"string-check-grader\",\n      \"score\": 1.0,\n      \"passed\": true,\n    }\n  ],\n  \"sample\": {\n    \"input\": [\n      {\n        \"role\": \"system\",\n        \"content\": \"You are an evaluator bot...\"\n      },\n      {\n        \"role\": \"user\",\n        \"content\": \"You are assessing...\"\n      }\n    ],\n    \"output\": [\n      {\n        \"role\": \"assistant\",\n        \"content\": \"The rubric is not clear nor concise.\"\n      }\n    ],\n    \"finish_reason\": \"stop\",\n    \"model\": \"gpt-4o-2024-08-06\",\n    \"usage\": {\n      \"total_tokens\": 521,\n      \"completion_tokens\": 2,\n      \"prompt_tokens\": 519,\n      \"cached_tokens\": 0\n    },\n    \"error\": null,\n    \"temperature\": 1.0,\n    \"max_completion_tokens\": 2048,\n    \"top_p\": 1.0,\n    \"seed\": 42\n  }\n}\n"

SCHEMAS

EvalApiError

Properties:

  • code (string, required) - The error code.

  • message (string, required) - The error message.

EvalRunOutputItem

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the evaluation run was created.

  • datasource_item (object, required) - Details of the input data source item.

  • datasource_item_id (integer, required) - The identifier for the data source item.

  • eval_id (string, required) - The identifier of the evaluation group.

  • id (string, required) - Unique identifier for the evaluation run output item.

  • object (string, required) - The type of the object. Always "eval.run.output_item".

    Allowed values: eval.run.output_item

    Default: eval.run.output_item

  • results (array of EvalRunOutputItemResult, required) - A list of grader results for this output item.

  • run_id (string, required) - The identifier of the evaluation run associated with this output item.

  • sample (object, required) - A sample containing the input and output of the evaluation run.

  • status (string, required) - The status of the evaluation run.

EvalRunOutputItemResult

Properties:

  • name (string, required) - The name of the grader.

  • passed (boolean, required) - Whether the grader considered the output a pass.

  • sample (anyOf) - Optional sample or intermediate data produced by the grader.

  • score (number, required) - The numeric score produced by the grader.

  • type (string) - The grader type (for example, "string-check-grader").

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.